package com.sxtvs.open.api.review.entity;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.sxtvs.open.api.review.dto.ImgReviewResp;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 
 * </p>
 *
 * @author syj
 * @since 2024-02-05
 */
@Getter
@Setter
@TableName("review_img_record")
public class ReviewImgRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private Long uid;

    private String title;

    private String url;

    private String taskId;

    @JsonIgnore
    private String result;

    private LocalDateTime createTime;

    @JsonIgnore
    private String status;

    @TableField(exist = false)
    private ImgReviewResp reviewResult;

    @TableField(exist = false)
    private String statusCode;

    @TableField(exist = false)
    private String statusDesc;

    private Integer pushStatus;

    public ImgReviewResp  getReviewResult() {
        return JSON.parseObject(this.result, ImgReviewResp.class);
    }

    public String getStatusCode(){
        if (TypeDict.STATUS_MAPPING.containsKey(this.status)){
            this.statusCode = TypeDict.STATUS_MAPPING.get(this.status).getKey();

        }
        return this.statusCode;
    }

    public String getStatusDesc(){
        if (TypeDict.STATUS_MAPPING.containsKey(this.status)){
            this.statusDesc = TypeDict.STATUS_MAPPING.get(this.status).getValue();
        }
        return this.statusDesc;
    }
}
